Įvadas

„HP Driver Deployment Utility“ (DDU) administratoriui leidžia sukurti tvarkyklės diegimo paketą, kuriuo naudodamiesi galutiniai vartotojai galėtų atlikti neprižiūrimą diegimą. Ši paslaugų programa palaiko spausdinimo tvarkyklių diegimą į „Windows“ tvarkyklių saugyklą ir spausdintuvų aplanke sukuria įrašus. „Driver Deployment Utility“ palaiko spausdinimo tvarkyklių diegimą, naudojamą su „Microsoft“ spausdintuvo diegimo vedliu. Galioja visi „Microsoft“ sertifikavimo apribojimai ir įspėjimai.

Vartotojo sąsaja padalinta į 3 skyrius:

  1. „Paketo šaltinis“ aprašo paketo tipą ir tvarkyklės vietą, kuriuos norite sukurti.
  2. „Paketo paskirties vieta“ nurodo diegimo paketo pavadinimą ir vietą.
  3. „Sukurti paketą“ pradeda paketo kūrimo procesą.


Paketo šaltinis

Tvarkyklės katalogas

Naudodamiesi mygtuku „Pasirinkti tvarkyklę…“, tvarkyklės kataloge naršydami arba įvesdami pasirinkite inf failą. Šiame kataloge turite turėti tik vieną tvarkyklės paketą, nes ši paslaugų programa supakuos į paleidžiamą failą visus failus, kuriuos ras šiame kataloge (ir pakatalogiuose). Jei atsisiuntėte suglaudintą tvarkyklės paketą, prieš naudodami šią paslaugų programą, jį turite išskleisti.

Kai kuriais atvejais, kataloge galite turėti kelių tvarkyklių inf failus (kartais vienas būna skirtas spalviniams, o kitas – vienspalviams spausdintuvams). Šiuo atveju, papildomas dialogo langas leis pasirinkti, kurią tvarkyklę supakuoti.

Jei katalogas yra didelis, taip pat bus pateiktas įspėjimas. Tai skirta neleisti supakuoti daugiau nei vieną tvarkyklę. Dabar galite pasirinkti, ar norėsite tęsti, jei kataloge yra visi pageidaujami ir reikiami failai.

Kai pasirenkamas tvarkyklės katalogas ir yra rasta viena tvarkyklė, rodoma katalogo ir tvarkyklės informacija.

Tvarkyklėms, kurios palaiko išankstinį konfigūravimą, bus įgalintas toliau pateiktas žymimasis langelis. Jį pasirinkus ir paspaudus mygtuką „Sukurti paketą“, bus rodomas konfigūravimo dialogo langas.

Diegimo tipas

„Iš anksto įkelti tvarkyklę“ yra vartotojų, kurie naudosis tiesioginiu ryšiu, tokiu kaip USB kabelis, pasirenkama parinktis. Norint įdiegti tvarkyklę, reikės naudotis paketu „Prijunk ir naudokis“, o šiuo paketu „Windows“ tvarkyklių saugykloje bus įdiegti visi failai, kad būtų galima naudotis ateityje. PASTABA: jeigu įrenginyje rastos kelios tvarkyklės, operacinė sistema nustatys, kuri tvarkyklė labiausiai tinka „Prijunk ir naudokis“ ar nurodys vartotoją su tvarkyklės pasirinkimo dialogo langu.

Pagal numatytąsias nuostatas paleidžiamasis failas veikia su progreso dialogo langu. Norėdami uždaryti progreso dialogo langą, paleiskite paleidžiamąjį failą su „/q“ komandų eilutėje. Jei norėsite, kad galutinis vartotojas diegimo pabaigoje būtų paragintas prijungti spausdintuvą, tada pasirinkite žymimąjį langelį „Rodyti pranešimą, kad būtų prijungtas spausdintuvas“.

Spausdintuvams, kurie naudoja tinklo ryšį, pasirinkite parinktį „Sukurti tinklo prievadą ir įdiegti tvarkyklę“. Bus įgalintas mygtukas „Tinklo nuostatos“ ir turite jį spustelėti, kad įvestumėte reikiamas tinklo nuostatas.

Tinklo nuostatos

Naudodamiesi vienu ar daugiau iš toliau pateiktų metodų turite identifikuoti tinklo spausdintuvą. Ši paslaugų programa nesudaro ryšio su įrenginiu, kad nustatytų, ar nuostatos yra tinkamos, bet atlieka sintaksės tikrinimą. (Norėdami įgalinti pakartotinį įrenginio radimą, įsitikinkite, kad yra nustatytas techninės įrangos adresas.)

IP adresas:

įveskite IPv4 arba IPv6 spausdintuvo adresą

Techninės įrangos adresas:

įveskite spausdintuvo techninės įrangos adresą

Pagrindinio kompiuterio vardas:

įveskite spausdintuvo pagrindinio kompiuterio vardą

Toliau pateiktos papildomos tinklo nuostatos. Galite naudoti iš anksto įvestas numatytąsias vertes arba galite bet kurias iš jų pakeisti.

Prievado pavadinimas:

tai yra kuriamo tinklo prievado pavadinimas. Jei pavadinimas jau yra, bus prirašytas skaičius, norint jį padaryti unikaliu.

Spausdintuvo pavadinimas:

tai yra spausdintuvo pavadinimas, kuris bus rodomas spausdintuvų aplanke. Jei pavadinimas jau yra, bus prirašytas skaičius, norint jį padaryti unikaliu.

Nustatyti šį spausdintuvą kaip numatytąjį:

„Taip“ – spausdinant iš kitų taikomųjų programų, šis spausdintuvas nustatomas kaip numatytasis.

„Ne“ – išlaikomos šiuo metu nustatytos numatytosios nuostatos, nebent tai yra vienintelis prijungtas spausdintuvas.

Šį spausdintuvą naudoti bendrai:

„Taip“ – leisti kitiems naudotis šiuo spausdintuvu.

Bendro naudojimo pavadinimas:

spausdintuvo bendro naudojimo pavadinimas. Įgalinta, tik jei „Šio spausdintuvo bendras naudojimas“ yra nustatytas Taip. Jei pavadinimas jau yra, bus prirašytas skaičius, norint jį padaryti unikaliu.


Paketo paskirties vieta

Pasirinkite mygtuką „Įrašyti kaip …“, kad įvestumėte išvesties paketo pavadinimą ir vietą. Paslaugų programa laikiname kataloge sukurs paketą ir tada jį perkels į galutinę vietą. Paketą sudarys 2 failai, kuriuos reikia pristatyti kartu: .exe ir .cab.

Į galutinę vietą taip pat bus nukopijuotas atitinkamas xml aprašomasis failas, kuriame yra paketo informacija. Xml yra tik informacinio pobūdžio; vykdymo metu DDU jo nenaudoja.


Sukurti paketą

Pasirinkite mygtuką „Sukurti paketą“, kai įvesite visą anksčiau pateiktą informaciją. Šis mygtukas bus išjungtas tol, kol neįvesite reikiamos informacijos. Kai pasirinksite, bus įgalintas mygtukas „Atšaukti“ ir juosta „Eiga“.

Norėdami sustabdyti paketo kūrimą, pasirinkite mygtuką „Atšaukti“.

Paleidžiamasis failas bus vykdomas su progreso dialogo langu ir, jei buvo prašyta, su vartotojui skirtu pranešimu tiesiogiai prijungti spausdintuvą. Jei vykdymo metu įvyko klaida, bus parodytas dialogo langas. Norėdami nerodyti klaidos dialogo lango, galite pasirinkti žymimąjį langelį „Galutiniam vartotojui nerodyti klaidų pranešimų“.


Papildomos pastabos

Norėdami uždaryti šią taikomąją programą, naudokitės „Windows“ uždarymo mygtuku, esančiu viršutiniame dešiniajame kampe.


Palaikomos operacinės sistemos

„Microsoft Windows 2000“

„Microsoft Windows XP“

„Microsoft Windows XP 64-Bit Edition“

„Microsoft Windows Server 2003 / 2008“

„Microsoft Windows Server 2003 / 2008 64-Bit Edition“

„Microsoft Windows Vista“

„Microsoft Windows Vista“ (64 bitų)


Komandų eilutės parinktys

Galutinio vartotojo paketą galima modifikuoti pridedant komandų eilutės perjungiklius. Komandų eilutės perjungiklius galima sujungti, jei jie atskiriami tarpais. Pasirodo klaidos pranešimas, jei komandų eilutėje yra klaida, pvz., negaliojantis ženklas arba netinkamas formatavimas. Ignoruojami netinkami komandų eilutės perjungikliai. Šis komandų eilutės aprašymas taip pat galimas (anglų kalba) vykdant galutinio vartotojo paketą su „/?“.

Iš anksto įkelti paketai palaiko šias komandų eilutės parinktis:

/? rodyti komandų eilutės informaciją (tik anglų kalba)

/q nerodyti progreso juostos

/p paraginti vartotoją prijungti spausdintuvą

/s vartotojui nerodyti klaidų pranešimų

Tinklo spausdintuvų paketai palaiko šias komandų eilutės parinktis:

/? rodyti komandų eilutės informaciją (tik anglų kalba)

/q nerodyti progreso juostos

/s vartotojui nerodyti klaidų pranešimų

/ip <ip adresas> naudokite atitinkamą IP adresą spausdintuvui identifikuoti, pvz.,. /ip 120.25.5.56

/hw <techninės įrangos adresas> naudokite atitinkamą techninės įrangos adresą spausdintuvui identifikuoti, pvz.,. /hw 0001E6299128

/hn <pagrindinio kompiuterio vardas>naudokite atitinkamą pagrindinio kompiuterio vardą spausdintuvui identifikuoti, pvz.,. /hn Mano pagrindinio kompiuterio vardas

Pagrindinio kompiuterio vardas negali būti ilgesnis kaip 255 ženklų ir jame gali būti tik šie ženklai: A-Z, a-z, 0-9 ir brūkšnelis (-).

/pn <prievado pavadinimas> naudokite atitinkamą prievado pavadinimą, pvz.,. /pn HPprievadas

Prievado pavadinime negali būti tarpų ir jis neturi būtų ilgesnis kaip 128 ženklų.

/n ”<spausdintuvo pavadinimas>” naudokite atitinkamą spausdintuvo pavadinimą, pvz.,. /n "HP LaserJet 8150"

Spausdintuvo pavadinimas turi būti rašomas kabutėse ir negali būti ilgesnis kaip 40 ženklų, taip pat jame negali būti šių ženklų: ! # ,

/d nustatykite šį spausdintuvą kaip numatytąjį

/sn ”<bendro naudojimo pavadinimas>” įjunkite bendrinimą ir naudokite nurodytą spausdintuvo bendro naudojimo pavadinimą, pvz.,. /sn ”Mano bendrinamas HP LaserJet 8150”

Bendro naudojimo pavadinimas turi būti rašomas kabutėse ir negali būti ilgesnis kaip 80 ženklų, taip pat jame negali būti šių ženklų: / \ : ; “ ? * + = < > [ ]

© Copyright 2007-2008 Hewlett-Packard Development Company, L.P.